:root {
  --fontFamily: "Inter", sans-serif;
  --headingFontFamily: "Chakra Petch", sans-serif;
  --primaryColor: #d1fb4c;
  --secondaryColor: #7af4b7;
  --headingColor: #defced;
  --whiteColor: #ffffff;
  --blackColor: #0f1e17;
  --darkColor: #1a1f09;
  --bodyColor: #bdfadb;
  --transition: .5s;
  --fontSize: 16px;
}

.trade-box-row {
    margin-top: 50px;
}

.trade-box {
    background: linear-gradient(180deg, rgba(15, 30, 23, 0.9) 0%, rgba(11, 22, 17, 0.95) 100%);
    border: 1px solid rgba(76, 153, 114, 0.2);
    border-radius: 12px;
    padding: 48px 20px;
    text-align: center;
    height: 100%;
    position: relative;
    z-index: 2;
}
.trade-box::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 12px;
    padding: 1px;
    background: linear-gradient(104.59deg, rgba(60, 229, 142, 0.3) 0.76%, rgba(60, 229, 142, 0.0768416) 32.78%, rgba(60, 229, 142, 0.220526) 69.11%, rgba(60, 229, 142, 0.021) 99%);
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    pointer-events: none;
}
.trade-box .box-icon {
    margin-bottom: 20px;
}
.trade-box .box-icon img {
    width: 40px;
}
.trade-box .box-title {
    font-size: 30px;
    font-family: var(--headingFontFamily);
    color: var(--headingColor);
    margin-bottom: 16px;
}
.trade-box .box-text {
    font-size: 16px;
    color: var(--bodyColor);
    margin-bottom: 0;
    max-width: 220px;
    margin-left: auto;
    margin-right: auto;
}

.ff-cs-type-wrap {
    margin-bottom: 30px;
    display: flex;
    gap: 8px;
}

.ff-cs-type-btn {
    flex: 1;
}

.tab-table {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px;
    padding-top: 4px;
    margin-bottom: 16px;
}

.faq-group {
    text-align: center;
    display: flex;
    justify-content: center;
    gap: 12px;
    margin-bottom: 35px;
}

.faq-group .faq-group-btn {
    padding: 12px 30px;
    border: 1px solid #bdfadb;
    border-radius: 28px;
    background-color: #0f1e17;
    cursor: pointer;
    transition: all 0.3s ease;
    color: #bdfadb;
}

.faq-group .faq-group-btn.active {
    background: #D1FB4C;
    color: #0f1e17;
    border-color: #D1FB4C;
}

.subcategory-buttons.active-group-crypto {
    padding: 0;
    background-color: transparent;
}

.subcategory-buttons.active-group-crypto .filter-label {
    display: none;
}

.subcategory-buttons.active-group-crypto .subcategory-btn {
    padding: 8px 20px;
    border: 1px solid #bdfadb;
    border-radius: 20px;
    background-color: #0f1e17;
    cursor: pointer;
    transition: all 0.3s ease;
    color: #bdfadb;
}
.subcategory-buttons.active-group-crypto .subcategory-btn.active {
    background: #D1FB4C;
    color: #0f1e17;
    border-color: #D1FB4C;
}

.subcategory-buttons.active-group-crypto button[data-subcategory="all"] {
    display: none !important;
}

@media (max-width: 575px) {
    .faq-group {
        gap: 8px;
    }
    .faq-group .faq-group-btn {
        padding: 10px 20px;
    }
}